Package fr.gouv.vitam.collect.internal.core.repository

# Class MetadataRepository

java.lang.Object
fr.gouv.vitam.collect.internal.core.repository.MetadataRepository

public class MetadataRepository extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetadataRepository(MetaDataClientFactory metaDataCollectClientFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `atomicBulkUpdate(List<com.fasterxml.jackson.databind.JsonNode> updateMultiQueries)`
  `void`
  `deleteObjectGroups(Collection<String> listGotGUID)`
  `void`
  `deleteUnits(Collection<String> listUnitIds)`
  `com.fasterxml.jackson.databind.JsonNode`
  `saveArchiveUnit(com.fasterxml.jackson.databind.node.ObjectNode unit)`
  `com.fasterxml.jackson.databind.JsonNode`
  `saveArchiveUnits(List<com.fasterxml.jackson.databind.node.ObjectNode> units)`
  `com.fasterxml.jackson.databind.JsonNode`
  `saveObjectGroup(com.fasterxml.jackson.databind.node.ObjectNode og)`
  `com.fasterxml.jackson.databind.JsonNode`
  `saveObjectGroups(List<com.fasterxml.jackson.databind.node.ObjectNode> objectGroups)`
  `com.fasterxml.jackson.databind.JsonNode`
  `selectObjectGroupById(String objectGroupId, boolean isRaw)`
  `com.fasterxml.jackson.databind.JsonNode`
  `selectObjectGroups(com.fasterxml.jackson.databind.JsonNode queryDsl, String transactionId)`
  `ScrollSpliterator<com.fasterxml.jackson.databind.JsonNode>`
  `selectObjectGroups(SelectMultiQuery request, String transactionId)`
  `com.fasterxml.jackson.databind.JsonNode`
  `selectUnitById(String unitId)`
  `RequestResponseOK<com.fasterxml.jackson.databind.JsonNode>`
  `selectUnits(com.fasterxml.jackson.databind.JsonNode queryDsl, String transactionId)`
  `ScrollSpliterator<com.fasterxml.jackson.databind.JsonNode>`
  `selectUnits(SelectMultiQuery request, String transactionId)`
  `com.fasterxml.jackson.databind.JsonNode`
  `selectUnitsWithInheritedRules(com.fasterxml.jackson.databind.JsonNode jsonQuery, String transactionId)`
  `void`
  `updateObjectGroupById(UpdateMultiQuery updateQuery, String objectGroupId, String transactionId)`
  `void`
  `updateUnitById(UpdateMultiQuery updateQuery, String transactionId, String unitId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetadataRepository

    public MetadataRepository(MetaDataClientFactory metaDataCollectClientFactory)

- ## Method Details

  - ### selectUnits

    public RequestResponseOK<com.fasterxml.jackson.databind.JsonNode> selectUnits(com.fasterxml.jackson.databind.JsonNode queryDsl, @Nonnull String transactionId) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### selectUnits

    public ScrollSpliterator<com.fasterxml.jackson.databind.JsonNode> selectUnits(SelectMultiQuery request, @Nonnull String transactionId)

  - ### selectObjectGroups

    public ScrollSpliterator<com.fasterxml.jackson.databind.JsonNode> selectObjectGroups(SelectMultiQuery request, @Nonnull String transactionId)

  - ### selectUnitById

    public com.fasterxml.jackson.databind.JsonNode selectUnitById(String unitId) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### selectObjectGroups

    public com.fasterxml.jackson.databind.JsonNode selectObjectGroups(com.fasterxml.jackson.databind.JsonNode queryDsl, @Nonnull String transactionId) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### selectObjectGroupById

    public com.fasterxml.jackson.databind.JsonNode selectObjectGroupById(String objectGroupId, boolean isRaw) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### atomicBulkUpdate

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> atomicBulkUpdate(@Nonnull List<com.fasterxml.jackson.databind.JsonNode> updateMultiQueries) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### saveArchiveUnit

    public com.fasterxml.jackson.databind.JsonNode saveArchiveUnit(com.fasterxml.jackson.databind.node.ObjectNode unit) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### saveArchiveUnits

    public com.fasterxml.jackson.databind.JsonNode saveArchiveUnits(List<com.fasterxml.jackson.databind.node.ObjectNode> units) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### updateUnitById

    public void updateUnitById(UpdateMultiQuery updateQuery, String transactionId, String unitId) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### saveObjectGroup

    public com.fasterxml.jackson.databind.JsonNode saveObjectGroup(com.fasterxml.jackson.databind.node.ObjectNode og) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### saveObjectGroups

    public com.fasterxml.jackson.databind.JsonNode saveObjectGroups(List<com.fasterxml.jackson.databind.node.ObjectNode> objectGroups) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### updateObjectGroupById

    public void updateObjectGroupById(UpdateMultiQuery updateQuery, String objectGroupId, String transactionId) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### deleteUnits

    public void deleteUnits(Collection<String> listUnitIds) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### deleteObjectGroups

    public void deleteObjectGroups(Collection<String> listGotGUID) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### selectUnitsWithInheritedRules

    public com.fasterxml.jackson.databind.JsonNode selectUnitsWithInheritedRules(com.fasterxml.jackson.databind.JsonNode jsonQuery, @Nonnull String transactionId) throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`